summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMatthias Beyer <mail@beyermatthias.de>2020-10-29 14:29:05 +0100
committerMatthias Beyer <mail@beyermatthias.de>2020-11-03 15:58:51 +0100
commit0700338a63a5f834659974c1d0c87d169861776f (patch)
tree1a83bd487fa8d19aaecd1c44c7567a21fb77476e /scripts
parentde4a9a16977976e2880ac9e49c9acd624c14673d (diff)
Add pgcli and helper script to development shell
Signed-off-by: Matthias Beyer <mail@beyermatthias.de>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/dev-pg-container.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/dev-pg-container.sh b/scripts/dev-pg-container.sh
index 586e8a2..a2f029f 100644
--- a/scripts/dev-pg-container.sh
+++ b/scripts/dev-pg-container.sh
@@ -1,5 +1,10 @@
#!/usr/bin/env bash
+die() {
+ echo >&2 "$*"
+ exit 1
+}
+
[ -z "$PG_USER" ] && die "Not set: PG_USER"
[ -z "$PG_PW" ] && die "Not set: PG_PW"
[ -z "$PG_DB" ] && die "Not set: PG_DB"